#!/usr/bin/perl

use Net::Twitter;
use Data::Dumper;

if (@ARGV < 2) {
	die "Usage: ./favorites.pm <username> <password> <id> [apiurl [apihost [page]]]";
}
my ($username, $password, $id, $apiurl, $apihost, $page) = @ARGV;
my $twit = Net::Twitter->new(username=>$username,
			     password=>$password,
			     apiurl=>$apiurl,
			     apihost=>$apihost,
			     apirealm=>"Shovel API");
my $result = $twit->favorites({id=>$id,
                               page=>$page});
print Dumper($result);
